%define name	iv
%define version 0.3.9
%define release 1.norlug

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Image Viewer
Group:		Graphics
License:	GPL
URL: 		http://wolfpack.twu.net/IV/
Source: 	http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
BuildRequires:	XFree86-devel
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Sometimes reffered to as ImgView or IV, this is a basic image viewer
with pan and zoom capabilities, depends on GTK+ and Imlib. Can also
save to many different formats, display transparency, crop, print, and
do window grabs.

%prep
%setup -q

# use imlib
perl -pi -e 's/imlib2/imlib/g' iv/imgio.c Make* iv/Make* iv/makefile_append.ini
perl -pi -e 's/IMLIB2/IMLIB/g' Make* iv/Make* iv/makefile_append.ini

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
make all

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%_prefix MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/%{name}.xpm

%changelog
* Mon Jan 16 2005 Chip Cuccio <chipster@norlug.org> 0.3.9-1
- initial rh-7.3 build
